## org.apache.commons.collections
Interface Predicate

All Known Subinterfaces:
  PredicateDecorator

All Known Implementing Classes:
  AllPredicate, AndPredicate, AnyPredicate, EqualPredicate, ExceptionPredicate, FalsePredicate, IdentityPredicate, InstanceofPredicate, NonePredicate, NotNullPredicate, NotPredicate, NullIsExceptionPredicate, NullIsFalsePredicate, NullIsTruePredicate, NullPredicate, OnePredicate, OrPredicate, TransformedPredicate, TransformerPredicate, TruePredicate, UniquePredicate

public interface Predicate

Defines a functor interface implemented by classes that perform a predicate test on an object.

A `Predicate` is the object equivalent of an `if` statement. It uses the input object to return a true or false value, and is often used in validation or filtering.

Standard implementations of common predicates are provided by `PredicateUtils`. These include true, false, instanceof, equals, and, or, not, method invokation and null testing.

Since:
  Commons Collections 1.0
Version:
  $Revision: 1.11 $ $Date: 2004/04/14 20:08:57 $
Author:
  James Strachan, Stephen Colebourne

Method Summary
`boolean` `evaluate(Object object)` Use the specified parameter to perform a test that returns true or false.

Method Detail

### evaluate

    public boolean evaluate(Object object)

  Use the specified parameter to perform a test that returns true or false.

  Parameters:
    `object` - the object to evaluate, should not be changed
  Returns:
    true or false
  Throws:
    `ClassCastException` - (runtime) if the input is the wrong class
    `IllegalArgumentException` - (runtime) if the input is invalid
    `FunctorException` - (runtime) if the predicate encounters a problem

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.